Debug::DWARF::LineNumbers::Sequence -

# struct Debug::DWARF::LineNumbers::Sequence

- Debug::DWARF::LineNumbers::Sequence
- Struct
- Value
- Object

## Overview

An individual compressed sequence.

:nodoc:

## Defined in:

## Constructors

- .new

## Instance Method Summary

- #default_is_stmt
- #default_is_stmt=(default_is_stmt : Bool)
- #default_is_stmt? : Bool?
- #file_names : Array({String, Int32, Int32, Int32})

  An array of file names.

- #header_length
- #header_length=(header_length : UInt32)
- #header_length? : UInt32?
- #include_directories : Array(String)

  An array of directory names.

- #line_base
- #line_base=(line_base : Int8)
- #line_base? : Int8?
- #line_range
- #line_range=(line_range : UInt8)
- #line_range? : UInt8?
- #maximum_operations_per_instruction : UInt8
- #maximum_operations_per_instruction=(maximum_operations_per_instruction : UInt8)
- #minimum_instruction_length
- #minimum_instruction_length=(minimum_instruction_length : UInt8)

  FIXME UInt64 for DWARF64 (uncommon)

- #minimum_instruction_length? : UInt8?
- #offset
- #offset=(offset : LibC::OffT)
- #offset? : Int32?
- #opcode_base
- #opcode_base=(opcode_base : UInt8)
- #opcode_base? : UInt8?
- #standard_opcode_lengths : Array(UInt8)

  An array of how many args an array.

- #total_length

  Returns the unit length, adding the size of the `#unit_length`.

- #unit_length
- #unit_length=(unit_length : UInt32)
- #unit_length? : UInt32?
- #version
- #version=(version : UInt16)
- #version? : UInt16?

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new #

## Instance Method Detail

def default_is_stmt #
def default_is_stmt=(default_is_stmt : Bool) #
def default_is_stmt? : Bool? #
def file_names : Array({String, Int32, Int32, Int32}) #

An array of file names. Starts at 1; 0 means that the information is missing.

def header_length #
def header_length=(header_length : UInt32) #
def header_length? : UInt32? #
def include_directories : Array(String) #

An array of directory names. Starts at 1; 0 means that the information is missing.

def line_base #
def line_base=(line_base : Int8) #
def line_base? : Int8? #
def line_range #
def line_range=(line_range : UInt8) #
def line_range? : UInt8? #
def maximum_operations_per_instruction : UInt8 #
def maximum_operations_per_instruction=(maximum_operations_per_instruction : UInt8) #
def minimum_instruction_length #
def minimum_instruction_length=(minimum_instruction_length : UInt8) #

FIXME UInt64 for DWARF64 (uncommon)

def minimum_instruction_length? : UInt8? #
def offset #
def offset=(offset : LibC::OffT) #
def offset? : Int32? #
def opcode_base #
def opcode_base=(opcode_base : UInt8) #
def opcode_base? : UInt8? #
def standard_opcode_lengths : Array(UInt8) #

An array of how many args an array. Starts at 1 because 0 means an extended opcode.

def total_length #

Returns the unit length, adding the size of the `#unit_length`.

def unit_length #
def unit_length=(unit_length : UInt32) #
def unit_length? : UInt32? #
def version #
def version=(version : UInt16) #
def version? : UInt16? #